Skip to content
中文

Query Video Task (Free

Method: POSTEndpoint: /runway/v1/feed

Request Parameters

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
task_id
string
Required
Example
{
"task_id"
:
"daa48db8-7cfc-49df-b683-b6015192c490"
}

Example Request

Shell

bash
curl --location --request POST '/runway/v1/feed' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "task_id": "daa48db8-7cfc-49df-b683-b6015192c490"
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
object

Example

json
{
    "code": 200,
    "msg": "Success",
    "data": {
        "task_id": "51925381-d713-4925-b6dc-e87de520f55c",
        "status": "3",
        "prompt": "",
        "video_url": "http://source.wike.cc/attachments/video/pika/20240725/6329a70942f1b3def5fd2ba52f91eef8.mp4",
        "msg": null,
        "point": "0",
        "refund": "0",
        "create_time": "1721900427",
        "update_time": "1721902010"
    },
    "exec_time": 0.022208,
    "ip": "182.146.238.93"
}